Read Me

This package contains two main codes

1. Run_xUL_f2d_t0tau: fixed time (t0) varying time scale (tau)
2. Run_xUL_f2d_ttau0: varying time (t) fixed time scale (tau0)

where
x: tracer trajectories
U: Lagrangin desriptor M/tau 
L: Finite-time Direct Lyapunov Exponents
f2d: Two dimensional flow (model)

1. Run_xUL_f2d_t0tau: 
First code to run.
It detects the underlaying Lagrangian Coherent Structures (LCS)
in the two dinensional flow using U and L.

2. Run_xUL_f2d_ttau0: 
Second code to run after having Run_xUL_f2d_t0tau 
& selected an appropriate tau0 for the flow.
It presents how LCS evolves in time as the flow changes.

Reference:
Mendoza, C. and Ana M. Mancho, 2013: The hidden geometry of ocean flows. 
Physical Review Letters 105, 3, 038501-1-038501-4

Haller, G., 2001: Distinguished material surfaces and coherent structures 
in 3D fluid flows, Physica D 149, 248?277 
