function [ido_xU,ido_L,iplt_UL]=...
    xUL_f2d_chck(ido_xU,ido_L,iplt_U,iplt_L,iplt_UL)
% ckeck directory existience and code execution
%   input
%       ido_xU,L & iplt_U,L,UL
%   output
%       ido_xU,L & iplt_UL
       
%% Written by Kayo Ide (University of Maryland)
% 2015 August

%% global
% definitions
global ido idont
global iex_fl iex_dr
% directory & file names
global dnm_op 
global dfnm_op

% ckeck directory existience
if(exist(dnm_op.bsc,'dir')-iex_dr~=0); 
    fprintf(['\n          new directory will be generated (' dnm_op.bsc ') '])
    tmp=['!mkdir ' dnm_op.bsc]; eval(tmp); clear tmp
end
if(exist(dnm_op.bfnc,'dir')-iex_dr~=0); 
    fprintf(['\n          new directory will be generated (' dnm_op.bfnc ') \n '])
    tmp=['!mkdir ' dnm_op.bfnc]; eval(tmp); clear tmp
end
if(exist(dnm_op.bfcs,'dir')-iex_dr~=0); 
    fprintf(['\n          new directory will be generated (' dnm_op.bfcs ') \n '])
    tmp=['!mkdir ' dnm_op.bfcs]; eval(tmp); clear tmp
end

% ckeck code execution
if((iplt_U.fg-ido)*(ido_L-ido)*(iplt_L.fg-ido)==0 ...
        && (ido_xU-ido)*(exist(dfnm_op.M)-iex_fl)~=0)
    ido_xU=input(['          no output file (' dfnm_op.M ') \n '...
        '                enter ' int2str(ido) ' to generate or ^c to quit : ']);
end
if(iplt_L.fg-ido==0 && (ido_L-ido)*(exist(dfnm_op.L)-iex_fl)~=0)
    ido_L=input(['          no output file (' dfnm_op.L ') \n '...
        '                enter ' int2str(ido) ' to generate or ^c to quit : ']);
end
if((iplt_L.fg*iplt_U.fg~=ido) && iplt_UL.fg-ido==0); iplt_UL.fg=idont; end

return